Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messageparts
Class OSCIFragmentCreator

    java.lang.Object
      eu.osci.messageparts.OSCIFragmentCreator

    public class OSCIFragmentCreator

extends java.lang.Object

Helper class to create parts of an OSCI message. All OSCI message parts and a lot of the addressing parts could be created easily with the help of this class.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Constructor Summary
`OSCIFragmentCreator()`

Method Summary
`static void` | `addX509CertificateToTokenContainer(eu.osci.ws._2008._05.transport.X509TokenContainerType x509Container, java.security.cert.X509Certificate x509Certificate)` Adds a certificate to the given X509TokenContainer.
`static com.sun.xml.ws.api.message.Header` | `createAddressingHeader(AddressingHeaderTag addressingHeaderTag, java.lang.Object addressingObj)` Internal helper method to create addressing headers.
`static org.w3._2005._08.addressing.EndpointReferenceType` | `createAnonymousEndpointRef()` Creates an EndpointReference with default values.
`static org.w3._2005._08.addressing.AttributedURIType` | `createAttributedURI(java.lang.String value)` Creates an AttributedURI element.
`static eu.osci.ws._2008._05.transport.DeliveryReceiptType` | `createDeliveryReceiptObject(OSCIRequest msg)` Creates a DeliveryReceipt object with the given OSCI message.
`static org.w3._2005._08.addressing.EndpointReferenceType` | `createEndpointRef(java.lang.String uri)` Creates an EndpointReference with the given URI for the address.
`static org.w3._2005._08.addressing.EndpointReferenceType` | `createEndpointReferenceParameter(java.lang.String uri, OSCIRequestAction businessScenario)` Creates an EndpointReference with the given URI for the address and the typeOfBusinessScenario.
`static org.w3._2005._08.addressing.EndpointReferenceType` | `createEndpointReferenceParameter(java.lang.String uri, java.lang.String businessScenario)` Creates an EndpointReference with the given URI for the address and the typeOfBusinessScenario.
`static com.sun.xml.ws.api.message.Header` | `createOSCIHeader(OSCIHeaderTag headerTag, java.lang.Object osciObject)` Internal helper method to create SOAP headers.
`static eu.osci.ws._2008._05.transport.MsgTimeStampsType` | `createOSCIMsgTimeStamps(int obsoleteAfter)` Creates an OSCI MsgTimeStamps object with the given parameter.
`static eu.osci.ws._2008._05.transport.X509TokenContainerType` | `createOSCITokenContainer(java.util.List<java.security.cert.X509Certificate> x509CertificateList)` Creates an OSCI X509TokenContainer with the given certificates.
`static eu.osci.ws._2008._05.transport.DeliveryReceiptType` | `createReceptionReceiptObject(com.sun.xml.ws.api.message.HeaderList headerList)` Creates a DeliveryReceiptType object with the given parameter out of the SOAP message (HeaderList).
`static org.w3._2005._08.addressing.RelatesToType` | `createRelatesTo(java.lang.String messageId)` Creates an addressing 'RelatesTo' object.
`static java.lang.String` | `createUUID()` Internal method to create a UUID (for example the messageID).
`static com.sun.xml.ws.api.message.Header` | `createXKMSHeader(javax.xml.namespace.QName qName, java.lang.Object xkmsObject)` Internal helper method to create XKMS headers.
`static javax.xml.datatype.XMLGregorianCalendar` | `createXMLGregorianCalendar(java.util.Date date)` Creates an XMLGregorianCalendar with the given date object.
`static javax.xml.datatype.XMLGregorianCalendar` | `createXMLGregorianCalendar(int deltaDays)` Creates a XMLGregorianCalendar with the date/time from now plus the given days.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSCIFragmentCreator

    public OSCIFragmentCreator()

Method Detail

### createAnonymousEndpointRef

    public static org.w3._2005._08.addressing.EndpointReferenceType createAnonymousEndpointRef()

  Creates an EndpointReference with default values.

  Returns:
    An EndpointReference with default values.

### createEndpointRef

    public static org.w3._2005._08.addressing.EndpointReferenceType createEndpointRef(java.lang.String uri)

  Creates an EndpointReference with the given URI for the address.

  Parameters:
    `uri` - The URI that will be included into the EndpointReference element.
  Returns:
    An EndpointReference with the given values.

### createReceptionReceiptObject

    public static eu.osci.ws._2008._05.transport.DeliveryReceiptType createReceptionReceiptObject(com.sun.xml.ws.api.message.HeaderList headerList)
                                                                                           throws javax.xml.datatype.DatatypeConfigurationException,
                                                                                                  javax.xml.bind.JAXBException,
                                                                                                  javax.xml.parsers.ParserConfigurationException

  Creates a DeliveryReceiptType object with the given parameter out of the SOAP message (HeaderList). The created object will be returned for further processing. The created DeliveryReceipt is not complete, for example the signature, the encryption and the timestamp is missing. The JAXB object could be used to fill the missing information.

  Parameters:
    `headerList` - Header list of the OSCI message that will be receipt.
  Returns:
    The created DeliveryReceipt object.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException`
    `javax.xml.bind.JAXBException`
    `javax.xml.parsers.ParserConfigurationException`

### createDeliveryReceiptObject

    public static eu.osci.ws._2008._05.transport.DeliveryReceiptType createDeliveryReceiptObject(OSCIRequest msg)
                                                                                          throws javax.xml.datatype.DatatypeConfigurationException,
                                                                                                 javax.xml.parsers.ParserConfigurationException,
                                                                                                 javax.xml.bind.JAXBException

  Creates a DeliveryReceipt object with the given OSCI message. The created object will be returned for further processing. The created DeliveryReceipt is not complete, for example the signature, the encryption and the timestamp is missing. The JAXB object could be used to fill the missing information.

  Parameters:
    `msg` - The OSCI message that will be receipt.
  Returns:
    The created DeliveryReceipt object.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException`
    `javax.xml.bind.JAXBException`
    `javax.xml.parsers.ParserConfigurationException`

### createEndpointReferenceParameter

    public static org.w3._2005._08.addressing.EndpointReferenceType createEndpointReferenceParameter(java.lang.String uri,
                                                                                                     OSCIRequestAction businessScenario)

  Creates an EndpointReference with the given URI for the address and the typeOfBusinessScenario.

  Parameters:
    `uri` - The URI that will be included in the EndpointReference element.
    `businessScenario` - Value of the typeOfBusinessScenario that is to be included in the EndpointReference.
  Returns:
    EndpointReference with the given values.

### createEndpointReferenceParameter

    public static org.w3._2005._08.addressing.EndpointReferenceType createEndpointReferenceParameter(java.lang.String uri,
                                                                                                     java.lang.String businessScenario)

  Creates an EndpointReference with the given URI for the address and the typeOfBusinessScenario.

  Parameters:
    `uri` - The URI that will be included in the EndpointReference element.
    `businessScenario` - Value of the typeOfBusinessScenario that is to be included in the EndpointReference.
  Returns:
    EndpointReference with the given values.

### createOSCITokenContainer

    public static eu.osci.ws._2008._05.transport.X509TokenContainerType createOSCITokenContainer(java.util.List<java.security.cert.X509Certificate> x509CertificateList)
                                                                                          throws java.security.cert.CertificateEncodingException

  Creates an OSCI X509TokenContainer with the given certificates.

  Parameters:
    `x509CertificateList` - A list of certificates that is to be included.
  Returns:
    The created OSCI X509TokenContainer
  Throws:
    `java.security.cert.CertificateEncodingException` - In case of encoding problems with the certificates.

### addX509CertificateToTokenContainer

    public static void addX509CertificateToTokenContainer(eu.osci.ws._2008._05.transport.X509TokenContainerType x509Container,
                                                          java.security.cert.X509Certificate x509Certificate)

  Adds a certificate to the given X509TokenContainer.

  Parameters:
    `x509Container` - The already created X509TokenContainer.
    `x509Certificate` - The new certificate that is to be included.

### createOSCIMsgTimeStamps

    public static eu.osci.ws._2008._05.transport.MsgTimeStampsType createOSCIMsgTimeStamps(int obsoleteAfter)
                                                                                    throws javax.xml.datatype.DatatypeConfigurationException

  Creates an OSCI MsgTimeStamps object with the given parameter.

  Parameters:
    `obsoleteAfter` - The date/time when the message will expire.
  Returns:
    The created MsgTimeStamps object.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException` - If there are converting errors with the date objects.

### createXMLGregorianCalendar

    public static javax.xml.datatype.XMLGregorianCalendar createXMLGregorianCalendar(java.util.Date date)
                                                                              throws javax.xml.datatype.DatatypeConfigurationException

  Creates an XMLGregorianCalendar with the given date object.

  Parameters:
    `date` - The date/time that is to be included in the XMLGregorianCalendar.
  Returns:
    The created XMLGregorianCalendar object.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException` - If there are converting errors with the date objects.

### createXMLGregorianCalendar

    public static javax.xml.datatype.XMLGregorianCalendar createXMLGregorianCalendar(int deltaDays)
                                                                              throws javax.xml.datatype.DatatypeConfigurationException

  Creates a XMLGregorianCalendar with the date/time from now plus the given days.

  Parameters:
    `deltaDays` - The count of days to add to the current date/time.
  Returns:
    The created XMLGregorianCalendar object.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException` - If there are converting errors with the date objects.

### createOSCIHeader

    public static com.sun.xml.ws.api.message.Header createOSCIHeader(OSCIHeaderTag headerTag,
                                                                     java.lang.Object osciObject)
                                                              throws javax.xml.bind.JAXBException

  Internal helper method to create SOAP headers.

  Parameters:
    `headerTag` - The type of the header that will be created.
    `osciObject` - The OSCI object to serialise into the header.
  Returns:
    The created Header.
  Throws:
    `javax.xml.bind.JAXBException` - In case of serialisation problems.

### createXKMSHeader

    public static com.sun.xml.ws.api.message.Header createXKMSHeader(javax.xml.namespace.QName qName,
                                                                     java.lang.Object xkmsObject)
                                                              throws javax.xml.bind.JAXBException

  Internal helper method to create XKMS headers.

  Parameters:
    `qName` - The QName of the Header that will be created.
    `xkmsObject` - The XKMS object to serialise into the header.
  Returns:
    The created Header.
  Throws:
    `javax.xml.bind.JAXBException` - In case of serialisation problems.

### createAddressingHeader

    public static com.sun.xml.ws.api.message.Header createAddressingHeader(AddressingHeaderTag addressingHeaderTag,
                                                                           java.lang.Object addressingObj)
                                                                    throws javax.xml.bind.JAXBException

  Internal helper method to create addressing headers.

  Parameters:
    `addressingHeaderTag` - The type of the header that will be created.
    `addressingObj` - The addressing object to serialise into the header.
  Returns:
    The created Header.
  Throws:
    `javax.xml.bind.JAXBException` - In case of serialisation problems.

### createAttributedURI

    public static org.w3._2005._08.addressing.AttributedURIType createAttributedURI(java.lang.String value)

  Creates an AttributedURI element.

  Parameters:
    `value` - The value to be added into the AttributedURI element.
  Returns:
    The created AttributedURI object.

### createUUID

    public static java.lang.String createUUID()

  Internal method to create a UUID (for example the messageID).

  Returns:
    The created UUID.

### createRelatesTo

    public static org.w3._2005._08.addressing.RelatesToType createRelatesTo(java.lang.String messageId)

  Creates an addressing 'RelatesTo' object.

  Parameters:
    `messageId` - The Id that is to be included in the RelatesToType object.
  Returns:
    The created RelatesToType object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.